﻿
package {
	import flash.display.Sprite;
	import flash.media.Camera;
	import flash.media.Video;
	import flash.events.ActivityEvent;

	public class MyCamera extends Sprite {
		
		public function MyCamera() {
			// カメラソースを取得
			var tape:Camera = Camera.getCamera();
			// 表示処理
			if ( tape != null ) {
				// ビデオオブジェクト配置：サイズ指定
				var video:Video = new Video( 320 , 240 );
				// カメラ設定
				video.attachCamera( tape );
				// モーション検知リスナー
				tape.addEventListener( ActivityEvent.ACTIVITY , activityHandler );
				// addChildで表示
				addChild( video );
			} else {
				// カメラが接続されてないときはダメ画像表示
				var mcNoCamera = new NoCamera();
				// addChildで表示
				addChild( mcNoCamera );
			}
		}
		
		private function activityHandler( event:ActivityEvent ):void {
			if( event.activating == true ){
				trace( "モーション検知：カメラが動きました。" );
			}
		}
	}
}